## org.apache.batik.apps.svgbrowser
Class DOMDocumentTree.DropCompletedInfo

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMDocumentTree.DropCompletedInfo

Enclosing class:
  DOMDocumentTree

    public static class DOMDocumentTree.DropCompletedInfo

extends java.lang.Object

Contains the info for the 'dropCompleted' Event.

Field Summary
`protected java.util.ArrayList` `children` Nodes to be appended.
`protected org.w3c.dom.Node` `parent` Parent node.
`protected org.w3c.dom.Node` `sibling` Next sibling node.

Constructor Summary
`DOMDocumentTree.DropCompletedInfo(org.w3c.dom.Node parent, org.w3c.dom.Node sibling, java.util.ArrayList children)`

Method Summary
`java.util.ArrayList` `getChildren()` Gets the children.
`org.w3c.dom.Node` `getParent()` Getter for the parent.
`org.w3c.dom.Node` `getSibling()` Getter for the sibling.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected org.w3c.dom.Node parent

  Parent node.

### children

    protected java.util.ArrayList children

  Nodes to be appended.

### sibling

    protected org.w3c.dom.Node sibling

  Next sibling node.

Constructor Detail

### DOMDocumentTree.DropCompletedInfo

    public DOMDocumentTree.DropCompletedInfo(org.w3c.dom.Node parent,
                                             org.w3c.dom.Node sibling,
                                             java.util.ArrayList children)

Parameters:
  `parent` - Parent node
  `children` - Nodes to be appended

Method Detail

### getChildren

    public java.util.ArrayList getChildren()

  Gets the children.

  Returns:
    the children

### getParent

    public org.w3c.dom.Node getParent()

  Getter for the parent.

  Returns:
    the parent

### getSibling

    public org.w3c.dom.Node getSibling()

  Getter for the sibling.

  Returns:
    the sibling

Copyright © 2008 Apache Software Foundation. All Rights Reserved.